Bug 132092 - PPD files placed in /usr/share/cups/model don't appear in redhat-config-printer, but do appear in CUPS web interface
Summary: PPD files placed in /usr/share/cups/model don't appear in redhat-config-print...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cups   
(Show other bugs)
Version: 3.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-08 18:43 UTC by Gary Case
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-09 08:30:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PPD file for the HP OfficeJet 5500 from linuxprinting.org (20.05 KB, text/plain)
2004-09-08 23:17 UTC, Gary Case
no flags Details

Description Gary Case 2004-09-08 18:43:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
I'm trying to add a printer that doesn't have a driver supplied by Red
Hat. Specifically, it's an HP OfficeJet 5500 and I'm getting the PPD
file from www.linuxprinting.org. When I place the PPD file in
/usr/share/cups/model, that printer doesn't appear in the Printer
model list in the text or gui versions of redhat-config-printer. It
does appear when I add the printer through the web interface
(http://localhost:631).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download PPD file from http://www.linuxprinting.org
2. Place in /usr/share/cups/model and chmod 644 the PPD file
3. Restart the CUPS service (service cups restart)
4. Run redhat-config-printer or redhat-config-printer-tui and attempt
to add the printer. 
    

Actual Results:  Printer doesn't appear in the Printer model list.

Expected Results:  Printer should have appeard in the Printer model list.

Comment 1 Gary Case 2004-09-08 23:17:46 UTC
Created attachment 103615 [details]
PPD file for the HP OfficeJet 5500 from linuxprinting.org

This is the PPD file I'm trying to use. I have verified the same behavior with
an additional PPD file from linuxprinting.org

Comment 2 Tim Waugh 2004-09-09 08:30:37 UTC
redhat-config-printer has never had support for 3rd party PPD files. 
It is entirely foomatic driven.

RHEL4 will provide rudimentary support for importing a PPD file into
the foomatic database.

Comment 3 Gary Case 2004-09-09 14:50:52 UTC
This worked in previous versions of Red Hat Linux using CUPS. Why
doesn't it work now?

Comment 4 Tim Waugh 2004-09-09 14:55:21 UTC
This is not a regression.  redhat-config-printer has never supported
arbitrary PPD files.


Note You need to log in before you can comment on or make changes to this bug.